Rensei docs

List durable A2A peers with liveness and delivery-capability truth.

List durable A2A peers with liveness and delivery-capability truth. - Rensei REST API operation reference.

GET
/api/projects/{projectId}/a2a/peers

Path Parameters

projectId*string
Length1 <= length

Query Parameters

limit?integer
Range1 <= value <= 200
cursor?string
Length1 <= length <= 4096

Response Body

Project-addressable peers and liveness dependency health.

application/json
  1. response
peers*array<>
liveness*|
nextCursor*string|null
truncated*boolean
Example Request
curl -X GET 'https://app.rensei.ai/api/projects/string/a2a/peers'
Example Response
{  "peers": [    {      "handle": "string",      "canonicalId": "string",      "agentIdentityId": "string",      "sessionId": "string",      "displayName": "string",      "role": "string",      "lastSeenAt": "2019-08-24T14:15:22Z",      "presence": "live",      "delivery": {        "harness": "string",        "declaredTier": "durable",        "effectiveTier": "durable",        "liveTurnDeclared": true,        "liveTurnRealized": true      },      "affinity": {        "scope": "org_wide",        "source": "registration_envelope",        "projectIds": [          "string"        ]      }    }  ],  "liveness": {    "status": "available",    "source": "redis"  },  "nextCursor": "string",  "truncated": true}